> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tangoanalytics.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Put locationslocators

> This operation updates the existing Locator Nodes in the Forum.



## OpenAPI

````yaml /tango_reserve/integrations/guides/aq-api.yaml put /locations/locators
openapi: 3.1.0
info:
  description: phoenix-restful
  version: '2.0'
  title: Reserve Rest API
servers:
  - url: /aq-api/
security: []
tags:
  - name: AccountService
    description: |-
      Account Service

      The Accounts service provides an interface for business customer accounts
      whose intent includes creating resources which may be reserved in a public
      or private space.
  - name: AnalyticsGatewayService
    description: |-
      Provides gateway interface into analytic reports generated from Phoenix
      data.
  - name: ApplicationService
    description: >-
      Application Service


      Provides operations for creating and managing external applications which
      may interact with

      the Agilquest Forums platform.
  - name: ApprovalsService
    description: Base class for RESTful services.
  - name: AvailabilityService
    description: >-
      Availability Service


      Exposes operations which provide availability information for Assets
      within Agilquest Forums.
  - name: CacheReadinessService
  - name: ChargeCodeService
    description: |-
      Charge Code Service

      The Charge Code Service provides the RESTful end points for interacting
      with Charge Codes in the Agilquest.
  - name: ForumService
    description: Base class for RESTful services.
  - name: LanguageService
    description: |-
      Provides a RESTful interface to the Language services for language
      tags and, language bundles, and language data for Agilquest.
  - name: LocaleService
    description: >-
      The Locale Service provides TimeZone and LanguageData information about
      the

      Agilquest.
  - name: LocationService
    description: |-
      The Location Service provides an interface for interacting with Locations
      and Locator Structures in the Agilquest.
  - name: LookupService
    description: |-
      The lookup service exposes the code table lookup functionality of the
      Agilquest.
  - name: PropertiesService
    description: Retrieves the properties associated with a given account.
  - name: ReservationEventViewsService
    description: >-
      The Reservation Event View Service provides views of Reservation events
      (ReservationGroup).
  - name: ReservationService
    description: |-
      The Reservation Service handles creating, changing, and retrieving
      reservations through the ReservationServiceBusiness interface.
  - name: ReservationViewsService
    description: |-
      The Reservation View Service provides views into the existing reservation
      information maintained by the Agilquest.
  - name: ResourceGroupService
    description: |-
      The Resource Group service provides an interface into manipulating
      the resource groups in the Agilquest.
  - name: ResourceService
    description: Base class for RESTful services.
  - name: ResourceViewsService
    description: |-
      The Resource Views service provides views into existing resources in
      the Agilquest.
  - name: ReviewsService
    description: Base class for RESTful services.
  - name: RoomConfigurationService
    description: Base class for RESTful services.
  - name: SplashPageService
    description: Base class for RESTful services.
  - name: SystemService
    description: System Service.
  - name: UserGroupService
    description: Base class for RESTful services.
  - name: UserService
    description: |-
      The User Service provides an interface for adding, editing, and removing
      users in the Agilquest.
  - name: UserViewsService
    description: |-
      The User Views service provides views into the existing User information
      maintained by the Agilquest.
  - name: VisitorService
    description: >-
      The Visitor Service provides an interface for adding, editing, and
      removing

      visitors in the Agilquest.
paths:
  /locations/locators:
    put:
      tags:
        - LocationService
      description: This operation updates the existing Locator Nodes in the Forum.
      operationId: updateLocators
      parameters: []
      requestBody:
        required: false
        content:
          application/json:
            examples:
              example:
                value:
                  locators:
                    - discriminator: LOC
                      sysidParentNode: 12345
                      sysidLocatorNode: 12345
                      locationMapImages:
                        - name: ...
                          sysidLocationMapImage: 12345
                          displayOrder: 12345
                          thumbnailSource: ...
                          imageSource: ...
                          description: ...
                          defaultImage: true
                          height: 12345
                          width: 12345
                        - name: ...
                          sysidLocationMapImage: 12345
                          displayOrder: 12345
                          thumbnailSource: ...
                          imageSource: ...
                          description: ...
                          defaultImage: true
                          height: 12345
                          width: 12345
                      displayOrder: 12345
                      locationImages:
                        - width: 12345
                          name: ...
                          description: ...
                          displayOrder: 12345
                          imageSource: ...
                          height: 12345
                          defaultImage: true
                          sysidLocationImage: 12345
                          thumbnailSource: ...
                        - width: 12345
                          name: ...
                          description: ...
                          displayOrder: 12345
                          imageSource: ...
                          height: 12345
                          defaultImage: true
                          sysidLocationImage: 12345
                          thumbnailSource: ...
                      name: ...
                      children:
                        - {}
                        - {}
                      locationLevel: 12345
                    - discriminator: LOC
                      sysidParentNode: 12345
                      sysidLocatorNode: 12345
                      locationMapImages:
                        - name: ...
                          sysidLocationMapImage: 12345
                          displayOrder: 12345
                          thumbnailSource: ...
                          imageSource: ...
                          description: ...
                          defaultImage: true
                          height: 12345
                          width: 12345
                        - name: ...
                          sysidLocationMapImage: 12345
                          displayOrder: 12345
                          thumbnailSource: ...
                          imageSource: ...
                          description: ...
                          defaultImage: true
                          height: 12345
                          width: 12345
                      displayOrder: 12345
                      locationImages:
                        - width: 12345
                          name: ...
                          description: ...
                          displayOrder: 12345
                          imageSource: ...
                          height: 12345
                          defaultImage: true
                          sysidLocationImage: 12345
                          thumbnailSource: ...
                        - width: 12345
                          name: ...
                          description: ...
                          displayOrder: 12345
                          imageSource: ...
                          height: 12345
                          defaultImage: true
                          sysidLocationImage: 12345
                          thumbnailSource: ...
                      name: ...
                      children:
                        - {}
                        - {}
                      locationLevel: 12345
            schema:
              $ref: '#/components/schemas/LocatorNodeWrapper'
      responses:
        '204':
          content:
            application/json:
              examples:
                example:
                  value:
                    locators:
                      - discriminator: LOC
                        sysidParentNode: 12345
                        sysidLocatorNode: 12345
                        locationMapImages:
                          - name: ...
                            sysidLocationMapImage: 12345
                            displayOrder: 12345
                            thumbnailSource: ...
                            imageSource: ...
                            description: ...
                            defaultImage: true
                            height: 12345
                            width: 12345
                          - name: ...
                            sysidLocationMapImage: 12345
                            displayOrder: 12345
                            thumbnailSource: ...
                            imageSource: ...
                            description: ...
                            defaultImage: true
                            height: 12345
                            width: 12345
                        displayOrder: 12345
                        locationImages:
                          - width: 12345
                            name: ...
                            description: ...
                            displayOrder: 12345
                            imageSource: ...
                            height: 12345
                            defaultImage: true
                            sysidLocationImage: 12345
                            thumbnailSource: ...
                          - width: 12345
                            name: ...
                            description: ...
                            displayOrder: 12345
                            imageSource: ...
                            height: 12345
                            defaultImage: true
                            sysidLocationImage: 12345
                            thumbnailSource: ...
                        name: ...
                        children:
                          - {}
                          - {}
                        locationLevel: 12345
                      - discriminator: LOC
                        sysidParentNode: 12345
                        sysidLocatorNode: 12345
                        locationMapImages:
                          - name: ...
                            sysidLocationMapImage: 12345
                            displayOrder: 12345
                            thumbnailSource: ...
                            imageSource: ...
                            description: ...
                            defaultImage: true
                            height: 12345
                            width: 12345
                          - name: ...
                            sysidLocationMapImage: 12345
                            displayOrder: 12345
                            thumbnailSource: ...
                            imageSource: ...
                            description: ...
                            defaultImage: true
                            height: 12345
                            width: 12345
                        displayOrder: 12345
                        locationImages:
                          - width: 12345
                            name: ...
                            description: ...
                            displayOrder: 12345
                            imageSource: ...
                            height: 12345
                            defaultImage: true
                            sysidLocationImage: 12345
                            thumbnailSource: ...
                          - width: 12345
                            name: ...
                            description: ...
                            displayOrder: 12345
                            imageSource: ...
                            height: 12345
                            defaultImage: true
                            sysidLocationImage: 12345
                            thumbnailSource: ...
                        name: ...
                        children:
                          - {}
                          - {}
                        locationLevel: 12345
              schema:
                $ref: '#/components/schemas/LocatorNodeWrapper'
          description: |-
            LocatorNodeWrapper or exception
            com.agilquest.phoenix.shared.data.rest.wrapper.LocatorNodeWrapper
components:
  schemas:
    LocatorNodeWrapper:
      type: object
      title: LocatorNodeWrapper
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            locators:
              type: array
              items:
                $ref: '#/components/schemas/LocatorNode'
      example:
        locators:
          - discriminator: LOC
            sysidParentNode: 12345
            sysidLocatorNode: 12345
            locationMapImages:
              - name: ...
                sysidLocationMapImage: 12345
                displayOrder: 12345
                thumbnailSource: ...
                imageSource: ...
                description: ...
                defaultImage: true
                height: 12345
                width: 12345
              - name: ...
                sysidLocationMapImage: 12345
                displayOrder: 12345
                thumbnailSource: ...
                imageSource: ...
                description: ...
                defaultImage: true
                height: 12345
                width: 12345
            displayOrder: 12345
            locationImages:
              - width: 12345
                name: ...
                description: ...
                displayOrder: 12345
                imageSource: ...
                height: 12345
                defaultImage: true
                sysidLocationImage: 12345
                thumbnailSource: ...
              - width: 12345
                name: ...
                description: ...
                displayOrder: 12345
                imageSource: ...
                height: 12345
                defaultImage: true
                sysidLocationImage: 12345
                thumbnailSource: ...
            name: ...
            children:
              - {}
              - {}
            locationLevel: 12345
          - discriminator: LOC
            sysidParentNode: 12345
            sysidLocatorNode: 12345
            locationMapImages:
              - name: ...
                sysidLocationMapImage: 12345
                displayOrder: 12345
                thumbnailSource: ...
                imageSource: ...
                description: ...
                defaultImage: true
                height: 12345
                width: 12345
              - name: ...
                sysidLocationMapImage: 12345
                displayOrder: 12345
                thumbnailSource: ...
                imageSource: ...
                description: ...
                defaultImage: true
                height: 12345
                width: 12345
            displayOrder: 12345
            locationImages:
              - width: 12345
                name: ...
                description: ...
                displayOrder: 12345
                imageSource: ...
                height: 12345
                defaultImage: true
                sysidLocationImage: 12345
                thumbnailSource: ...
              - width: 12345
                name: ...
                description: ...
                displayOrder: 12345
                imageSource: ...
                height: 12345
                defaultImage: true
                sysidLocationImage: 12345
                thumbnailSource: ...
            name: ...
            children:
              - {}
              - {}
            locationLevel: 12345
    DependentData:
      type: object
      title: DependentData
      example: {}
    LocatorNode:
      discriminator: discriminator
      type: object
      title: LocatorNode
      required:
        - locationLevel
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            discriminator:
              description: The JSON object type.
              type: string
            sysidParentNode:
              type: integer
              format: int32
            sysidLocatorNode:
              type: integer
              format: int32
            locationMapImages:
              type: array
              items:
                $ref: '#/components/schemas/LocationMapImage'
            displayOrder:
              type: integer
              format: int32
            locationImages:
              type: array
              items:
                $ref: '#/components/schemas/LocationImage'
            name:
              type: string
            children:
              type: array
              items:
                $ref: '#/components/schemas/LocatorNode'
            locationLevel:
              type: integer
              format: int32
      example:
        discriminator: LOC
        sysidParentNode: 12345
        sysidLocatorNode: 12345
        locationMapImages:
          - name: ...
            sysidLocationMapImage: 12345
            displayOrder: 12345
            thumbnailSource: ...
            imageSource: ...
            description: ...
            defaultImage: true
            height: 12345
            width: 12345
          - name: ...
            sysidLocationMapImage: 12345
            displayOrder: 12345
            thumbnailSource: ...
            imageSource: ...
            description: ...
            defaultImage: true
            height: 12345
            width: 12345
        displayOrder: 12345
        locationImages:
          - width: 12345
            name: ...
            description: ...
            displayOrder: 12345
            imageSource: ...
            height: 12345
            defaultImage: true
            sysidLocationImage: 12345
            thumbnailSource: ...
          - width: 12345
            name: ...
            description: ...
            displayOrder: 12345
            imageSource: ...
            height: 12345
            defaultImage: true
            sysidLocationImage: 12345
            thumbnailSource: ...
        name: ...
        children:
          - discriminator: LOC
            sysidParentNode: 12345
            sysidLocatorNode: 12345
            locationMapImages:
              - name: ...
                sysidLocationMapImage: 12345
                displayOrder: 12345
                thumbnailSource: ...
                imageSource: ...
                description: ...
                defaultImage: true
                height: 12345
                width: 12345
              - name: ...
                sysidLocationMapImage: 12345
                displayOrder: 12345
                thumbnailSource: ...
                imageSource: ...
                description: ...
                defaultImage: true
                height: 12345
                width: 12345
            displayOrder: 12345
            locationImages:
              - width: 12345
                name: ...
                description: ...
                displayOrder: 12345
                imageSource: ...
                height: 12345
                defaultImage: true
                sysidLocationImage: 12345
                thumbnailSource: ...
              - width: 12345
                name: ...
                description: ...
                displayOrder: 12345
                imageSource: ...
                height: 12345
                defaultImage: true
                sysidLocationImage: 12345
                thumbnailSource: ...
            name: ...
            children:
              - {}
              - {}
            locationLevel: 12345
          - discriminator: LOC
            sysidParentNode: 12345
            sysidLocatorNode: 12345
            locationMapImages:
              - name: ...
                sysidLocationMapImage: 12345
                displayOrder: 12345
                thumbnailSource: ...
                imageSource: ...
                description: ...
                defaultImage: true
                height: 12345
                width: 12345
              - name: ...
                sysidLocationMapImage: 12345
                displayOrder: 12345
                thumbnailSource: ...
                imageSource: ...
                description: ...
                defaultImage: true
                height: 12345
                width: 12345
            displayOrder: 12345
            locationImages:
              - width: 12345
                name: ...
                description: ...
                displayOrder: 12345
                imageSource: ...
                height: 12345
                defaultImage: true
                sysidLocationImage: 12345
                thumbnailSource: ...
              - width: 12345
                name: ...
                description: ...
                displayOrder: 12345
                imageSource: ...
                height: 12345
                defaultImage: true
                sysidLocationImage: 12345
                thumbnailSource: ...
            name: ...
            children:
              - {}
              - {}
            locationLevel: 12345
        locationLevel: 12345
    LocationMapImage:
      type: object
      title: LocationMapImage
      required:
        - defaultImage
        - height
        - width
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            name:
              type: string
            sysidLocationMapImage:
              type: integer
              format: int32
            displayOrder:
              type: integer
              format: int32
            thumbnailSource:
              type: string
            imageSource:
              type: string
            description:
              type: string
            defaultImage:
              type: boolean
            height:
              type: integer
              format: int32
            width:
              type: integer
              format: int32
      example:
        name: ...
        sysidLocationMapImage: 12345
        displayOrder: 12345
        thumbnailSource: ...
        imageSource: ...
        description: ...
        defaultImage: true
        height: 12345
        width: 12345
    LocationImage:
      type: object
      title: LocationImage
      required:
        - width
        - height
        - defaultImage
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            width:
              type: integer
              format: int32
            name:
              type: string
            description:
              type: string
            displayOrder:
              type: integer
              format: int32
            imageSource:
              type: string
            height:
              type: integer
              format: int32
            defaultImage:
              type: boolean
            sysidLocationImage:
              type: integer
              format: int32
            thumbnailSource:
              type: string
      example:
        width: 12345
        name: ...
        description: ...
        displayOrder: 12345
        imageSource: ...
        height: 12345
        defaultImage: true
        sysidLocationImage: 12345
        thumbnailSource: ...

````